﻿@model ViewModels.HumanResource.VerifyViewModel

@using DomainModels.Entities.Base

@{
    ViewBag.Title = "Identification varification";
}

<h2>@ViewBag.Title</h2>

<div class="alert alert-info">
    Current verification status of your identification is "<b>@Html.ShowAcceptStatus(Model.AcceptStatus, (string)ViewBag.Lang)</b>"
</div>


@if (!string.IsNullOrEmpty(ViewBag.PhotoContent))
{
    <div class="txt-center">
        <img id="savedImage" src="@ViewBag.PhotoContent" />
        <p>Old saved photo</p>
    </div>
}


@if (Model.AcceptStatus.Name == AcceptStatusName.Pending)
{
    <div class="alert alert-warning">Verification of your identification card photo is in progress. please wait fo result</div>
}
else if (Model.AcceptStatus.Name == AcceptStatusName.Accepted)
{
    <div class="alert alert-success">Your identity card has been verified.</div>
}
else
{
    <div id="webcamArea">
        <div class="row">
            <div class="col-lg-12">
                <p class="help-text">
                    Dear customer,
                    <br />
                    To confirm your identity, please keep your identity card along with your face and take a photo of your face and identity card via the webcam.
                    <br />
                    Note that your face and identity card must be clearly visible on the image.
                    <br />
                </p>
            </div>
        </div>


        <div class="row">
            <div class="col-md-6 txt-center">
                <div class="camera">
                    <video id="video">Video stream not available.</video>
                    <br />
                    <button id="startbutton" class="btn btn-info">Take a photo</button>
                </div>
            </div>
            <div class="col-md-6 txt-center">
                <canvas id="canvas" style="display:none"></canvas>
                <img id="photo" alt="No photo found" src="" style="min-width:380px;min-height:150px;background-color:#eaeaea">
                <p class="txt-center">Captured photo</p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12 txt-center">
                <br /><br />
                <button id="btnSave" class="btn btn-primary in-block disappear">Save the captured photo</button>
                <br /><br /><br /><br />
            </div>
        </div>
    </div>





    @section Scripts {
        <script src="~/Content/member/js/webcam.js"></script>
        <script>
    $(function ()
    {
        var lang = '@ViewBag.Lang';

        // ---------------------------- events -----------------------------
        $("#startbutton").click(function () {
            $("#btnSave").show();
        });

        $("#btnSave").click(function ()
        {
            var base64PhotoContent = $("#photo").attr("src");

            SavePhoto(base64PhotoContent);
        });


        // ---------------------------- functions ------------------------------
        function SavePhoto(photoContent)
        {
            Ajax('POST', '/Customer/Verification/IdentificationCard', { 'base64PhotoContent': photoContent, 'lang' : lang }, function (response, status, xhr) {

                if (response.HasError) {
                    showMessage(false, response.Message);
                }
                else {
                    showMessage(true, 'Photo saved successfully. We will check and confirm it as soon as possible');

                    $("#webcamArea").hide();

                    if ($("#savedImage").length) {
                        $("#savedImage").attr("src", photoContent);
                    }
                }

            }, 'json');
        }

    });
        </script>
    }
}
